model HeatTransfer3A
  PJLoeslib.Kap14.WaermetauscherGlied waermetauscherglied1 annotation(Placement(visible = true, transformation(origin = {-83.4935,14.1675}, extent = {{-12,-12},{12,12}}, rotation = 0)));
  PJLoeslib.Kap14.WaermetauscherGlied waermetauscherglied2 annotation(Placement(visible = true, transformation(origin = {-52.1595,14.4474}, extent = {{-12,-12},{12,12}}, rotation = 0)));
  PJLoeslib.Kap14.WaermetauscherGlied waermetauscherglied3 annotation(Placement(visible = true, transformation(origin = {-19.4785,14.7524}, extent = {{-12,-12},{12,12}}, rotation = 0)));
  PJLoeslib.Kap14.WaermetauscherGlied waermetauscherglied4 annotation(Placement(visible = true, transformation(origin = {13.135,15.1772}, extent = {{-12,-12},{12,12}}, rotation = 0)));
  PJLoeslib.Kap14.WaermetauscherGlied waermetauscherglied5 annotation(Placement(visible = true, transformation(origin = {44.1167,15.4621}, extent = {{-12,-12},{12,12}}, rotation = 0)));
  PJLoeslib.Kap14.WaermetauscherGlied waermetauscherglied6 annotation(Placement(visible = true, transformation(origin = {75.2383,15.752}, extent = {{-12,-12},{12,12}}, rotation = 0)));
  Modelica.Thermal.HeatTransfer.Sources.FixedTemperature fixedtemperature1(T = 360) annotation(Placement(visible = true, transformation(origin = {-121.218,20.7424}, extent = {{-12,-12},{12,12}}, rotation = 0)));
  Modelica.Thermal.HeatTransfer.Sources.FixedTemperature fixedtemperature2(T = 290) annotation(Placement(visible = true, transformation(origin = {88.773,-21.1529}, extent = {{-12,12},{12,-12}}, rotation = -180)));
equation
  connect(fixedtemperature2.port,waermetauscherglied6.heatport_a2) annotation(Line(points = {{76.773,-21.1529},{59.8561,-21.1529},{59.8561,10.6475},{63.2041,10.6475},{63.2041,10.7264}}));
  connect(fixedtemperature1.port,waermetauscherglied1.heatport_a1) annotation(Line(points = {{-109.218,20.7424},{-96.02030000000001,20.7424},{-96.02030000000001,20.0478},{-95.56189999999999,20.0478}}));
  connect(waermetauscherglied5.heatport_b2,waermetauscherglied6.heatport_a2) annotation(Line(points = {{56.0825,10.7442},{63.2561,10.7442},{63.2561,10.7264},{63.2041,10.7264}}));
  connect(waermetauscherglied5.heatport_b1,waermetauscherglied6.heatport_a1) annotation(Line(points = {{56.0141,21.2741},{63.2561,21.2741},{63.2561,21.6324},{63.1699,21.6324}}));
  connect(waermetauscherglied4.heatport_b2,waermetauscherglied5.heatport_a2) annotation(Line(points = {{25.1009,10.4593},{31.8067,10.4593},{31.8067,10.4365},{32.0825,10.4365}}));
  connect(waermetauscherglied4.heatport_b1,waermetauscherglied5.heatport_a1) annotation(Line(points = {{25.0325,20.9892},{32.1641,20.9892},{32.1641,21.3424},{32.0483,21.3424}}));
  connect(waermetauscherglied3.heatport_b2,waermetauscherglied4.heatport_a2) annotation(Line(points = {{-7.51271,10.0344},{1.78689,10.0344},{1.78689,10.1516},{1.10084,10.1516}}));
  connect(waermetauscherglied3.heatport_b1,waermetauscherglied4.heatport_a1) annotation(Line(points = {{-7.58108,20.5643},{0.714758,20.5643},{0.714758,21.0575},{1.06664,21.0575}}));
  connect(waermetauscherglied2.heatport_b2,waermetauscherglied3.heatport_a2) annotation(Line(points = {{-40.1937,9.72946},{-31.092,9.72946},{-31.092,9.72673},{-31.5127,9.72673}}));
  connect(waermetauscherglied2.heatport_b1,waermetauscherglied3.heatport_a1) annotation(Line(points = {{-40.2621,20.2594},{-32.1641,20.2594},{-32.1641,20.6327},{-31.5469,20.6327}}));
  connect(waermetauscherglied1.heatport_b2,waermetauscherglied2.heatport_a2) annotation(Line(points = {{-71.5277,9.44956},{-63.6134,9.44956},{-63.6134,9.42177},{-64.19370000000001,9.42177}}));
  connect(waermetauscherglied1.heatport_b1,waermetauscherglied2.heatport_a1) annotation(Line(points = {{-71.59610000000001,19.9795},{-63.9708,19.9795},{-63.9708,20.3277},{-64.22790000000001,20.3277}}));
  annotation(experiment(StartTime = 0.0, StopTime = 30.0, Tolerance = 1e-06));
end HeatTransfer3A;

