model ReifenTriebstrang
  Modelica.Mechanics.Rotational.Components.SpringDamper springdamper1(c = 10000, d = 1) annotation(Placement(visible = true, transformation(origin = {-68.2825,-7.17818}, extent = {{-6,-6},{6,6}}, rotation = 0)));
  PJlib.Kap16.Motor motor1 annotation(Placement(visible = true, transformation(origin = {-65.3238,35.3956}, extent = {{-8,-8},{8,8}}, rotation = 0)));
  PJlib.Kap16.Kupplung kupplung1(Mh = 300) annotation(Placement(visible = true, transformation(origin = {-40.8633,29.3526}, extent = {{-6,-6},{6,6}}, rotation = 0)));
  PJlib.Kap16.Schaltgetriebe1 schaltgetriebe11(gang = 1) annotation(Placement(visible = true, transformation(origin = {-17.2662,29.3525}, extent = {{-6,-6},{6,6}}, rotation = 0)));
  PJlib.Kap16.Differentialgetriebe differentialgetriebe1 annotation(Placement(visible = true, transformation(origin = {-46.9065,-7.19425}, extent = {{-6,-6},{6,6}}, rotation = 0)));
  Modelica.Mechanics.Rotational.Components.Spring spring1(c = 7500) annotation(Placement(visible = true, transformation(origin = {-18.705,4.31653}, extent = {{-6,-6},{6,6}}, rotation = 0)));
  Modelica.Mechanics.Rotational.Components.Spring spring2(c = 7500) annotation(Placement(visible = true, transformation(origin = {-17.8417,-17.2663}, extent = {{-6,-6},{6,6}}, rotation = 0)));
  Modelica.Blocks.Sources.CombiTimeTable combitimetable1(tableOnFile = true, tableName = "gas4", fileName = "gaspedal.txt") annotation(Placement(visible = true, transformation(origin = {-65.6116,75.1079}, extent = {{-6,6},{6,-6}}, rotation = -90)));
  Modelica.Blocks.Sources.CombiTimeTable combitimetable2(tableOnFile = true, tableName = "kupplung1", fileName = "kupplung.txt") annotation(Placement(visible = true, transformation(origin = {-40.8633,75.1079}, extent = {{-6,6},{6,-6}}, rotation = -90)));
  PJlib.Kap16.Reifen reifen1 annotation(Placement(visible = true, transformation(origin = {13.2374,2.01435}, extent = {{-6,-6},{6,6}}, rotation = 0)));
  Modelica.Blocks.Sources.Constant const(k = 0) annotation(Placement(visible = true, transformation(origin = {36.8344,73.9569}, extent = {{-6,6},{6,-6}}, rotation = -90)));
  Modelica.Blocks.Sources.Constant constant1(k = 1) annotation(Placement(visible = true, transformation(origin = {0.863314,74.5324}, extent = {{-6,6},{6,-6}}, rotation = -90)));
  PJlib.Kap16.Reifen reifen2 annotation(Placement(visible = true, transformation(origin = {13.5252,-19.5683}, extent = {{-6,-6},{6,6}}, rotation = 0)));
  PJlib.Kap16.Karosserie karosserie1 annotation(Placement(visible = true, transformation(origin = {37.1758,-8.64551}, extent = {{6,6},{-6,-6}}, rotation = 180)));
equation
  connect(combitimetable2.y[1],kupplung1.u) annotation(Line(points = {{-40.8633,68.5079},{-40.8633,35.7349},{-40.634,35.7349},{-40.634,35.7349}}));
  connect(combitimetable1.y[1],motor1.u) annotation(Line(points = {{-65.6116,68.5079},{-65.6116,44.0922},{-65.4179,44.0922},{-65.4179,44.0922}}));
  connect(reifen2.flange_b,karosserie1.flange_a) annotation(Line(points = {{19.5252,-21.9683},{24.4957,-21.9683},{24.4957,-8.35735},{31.4121,-8.35735},{31.4121,-8.35735}}));
  connect(reifen1.flange_b,karosserie1.flange_a) annotation(Line(points = {{19.2374,-0.38565},{24.4957,-0.38565},{24.4957,-8.35735},{30.8357,-8.35735},{30.8357,-8.35735}}));
  connect(const.y,karosserie1.u) annotation(Line(points = {{36.8344,67.3569},{36.8344,-3.7464},{41.4698,-2.81842},{36.9164,-2.81842}}));
  connect(spring1.flange_b,reifen1.flange_a) annotation(Line(points = {{-12.705,4.31653},{7.48201,4.31653},{7.48201,4.41435},{7.23741,4.41435}}));
  connect(spring2.flange_b,reifen2.flange_a) annotation(Line(points = {{-11.8417,-17.2663},{7.76978,-17.2663},{7.76978,-17.1683},{7.52519,-17.1683}}));
  connect(constant1.y,reifen2.u) annotation(Line(points = {{0.863314,67.9324},{0.863309,67.9324},{0.863309,-32.2302},{14.3885,-32.2302},{14.3885,-25.5683},{13.5252,-25.5683}}));
  connect(reifen1.u,constant1.y) annotation(Line(points = {{13.2374,-3.98565},{13.2374,-9.4964},{0.863309,-9.4964},{0.863309,67.9324},{0.863314,67.9324}}));
  connect(schaltgetriebe11.flange_b,springdamper1.flange_a) annotation(Line(points = {{-11.2662,29.3525},{-7.19425,29.3525},{-7.19425,15.5396},{-80.8633,15.5396},{-80.8633,-7.19424},{-74.2825,-7.19424},{-74.2825,-7.17818}}));
  connect(differentialgetriebe1.flange_b1,spring2.flange_a) annotation(Line(points = {{-40.9065,-10.1942},{-35.3957,-10.1942},{-35.3957,-17.2662},{-23.8417,-17.2662},{-23.8417,-17.2663}}));
  connect(differentialgetriebe1.flange_b,spring1.flange_a) annotation(Line(points = {{-40.9065,-4.19425},{-35.3957,-4.19425},{-35.3957,4.31655},{-24.705,4.31655},{-24.705,4.31653}}));
  connect(springdamper1.flange_b,differentialgetriebe1.flange_a) annotation(Line(points = {{-62.2825,-7.17818},{-51.7986,-7.17818},{-51.7986,-7.19425},{-52.9065,-7.19425}}));
  connect(kupplung1.flange_b,schaltgetriebe11.flange_a) annotation(Line(points = {{-34.8633,29.3526},{-23.0216,29.3526},{-23.0216,29.3525},{-23.2662,29.3525}}));
  connect(motor1.flange_b,kupplung1.flange_a) annotation(Line(points = {{-57.3238,29.3956},{-42.0144,29.3956},{-42.0144,29.3526},{-46.8633,29.3526}}));
  annotation(Diagram(), experiment(StartTime = 0.0, StopTime = 7, Tolerance = 0.000001));
end ReifenTriebstrang;

