model BondEMotor
  BondLib.Sources.Sf sf1 annotation(Placement(visible = true, transformation(origin = {-166.134,12.492}, extent = {{-12,-12},{12,12}}, rotation = 0)));
  BondLib.Bonds.Bond bond1 annotation(Placement(visible = true, transformation(origin = {-142.389,12.501}, extent = {{-10,-1},{10,1}}, rotation = 0)));
  BondLib.Junctions.J0 j01 annotation(Placement(visible = true, transformation(origin = {-118.338,12.501}, extent = {{-12,-12},{12,12}}, rotation = 0)));
  BondLib.Bonds.Bond bond2 annotation(Placement(visible = true, transformation(origin = {-94.68899999999999,12.9018}, extent = {{-10,-1},{10,1}}, rotation = 0)));
  BondLib.Junctions.J1 j11 annotation(Placement(visible = true, transformation(origin = {-69.8373,12.9018}, extent = {{-12,-12},{12,12}}, rotation = 0)));
  BondLib.Bonds.Bond bond3 annotation(Placement(visible = true, transformation(origin = {-46.1881,12.9018}, extent = {{-10,-1},{10,1}}, rotation = 0)));
  BondLib.Passive.GY gy1 annotation(Placement(visible = true, transformation(origin = {-22.9396,13.3027}, extent = {{-12,-12},{12,12}}, rotation = 0)));
  BondLib.Bonds.Bond bond4 annotation(Placement(visible = true, transformation(origin = {1.11052,13.3027}, extent = {{-10,-1},{10,1}}, rotation = 0)));
  BondLib.Junctions.J1 j12 annotation(Placement(visible = true, transformation(origin = {25.5615,13.7035}, extent = {{-12,-12},{12,12}}, rotation = 0)));
  BondLib.Bonds.Bond bond5 annotation(Placement(visible = true, transformation(origin = {48.4091,13.3027}, extent = {{-10,-1},{10,1}}, rotation = 0)));
  BondLib.Junctions.J0 j02 annotation(Placement(visible = true, transformation(origin = {73.26090000000001,13.3027}, extent = {{-12,-12},{12,12}}, rotation = 0)));
  BondLib.Passive.TF tf1(m = 0.3) annotation(Placement(visible = true, transformation(origin = {122.652,13.3976}, extent = {{-12,-12},{12,12}}, rotation = 0)));
  BondLib.Bonds.Bond bond6 annotation(Placement(visible = true, transformation(origin = {98.2089,13.4258}, extent = {{-10,-1},{10,1}}, rotation = 0)));
  BondLib.Bonds.Bond bond7 annotation(Placement(visible = true, transformation(origin = {145.473,13.4258}, extent = {{-10,-1},{10,1}}, rotation = 0)));
  BondLib.Passive.I i1 annotation(Placement(visible = true, transformation(origin = {169.608,13.4258}, extent = {{-12,-12},{12,12}}, rotation = 0)));
  BondLib.Bonds.Bond bond8 annotation(Placement(visible = true, transformation(origin = {-119.004,-11.2118}, extent = {{-10,-1},{10,1}}, rotation = -90)));
  BondLib.Junctions.J1 j13 annotation(Placement(visible = true, transformation(origin = {-119.004,-35.3466}, extent = {{-12,-12},{12,12}}, rotation = 0)));
  BondLib.Bonds.Bond45 bond451 annotation(Placement(visible = true, transformation(origin = {-142.636,-58.9785}, extent = {{12,12},{-12,-12}}, rotation = -180)));
  BondLib.Passive.R r1 annotation(Placement(visible = true, transformation(origin = {-165.262,-82.6105}, extent = {{-12,-12},{12,12}}, rotation = 0)));
  BondLib.Passive.C c1 annotation(Placement(visible = true, transformation(origin = {-73.2486,-85.62739999999999}, extent = {{-12,-12},{12,12}}, rotation = 0)));
  BondLib.Bonds.Bond bond9 annotation(Placement(visible = true, transformation(origin = {-69.729,-9.70337}, extent = {{-10,-1},{10,1}}, rotation = -90)));
  BondLib.Passive.R r2 annotation(Placement(visible = true, transformation(origin = {-69.22620000000001,-33.8382}, extent = {{-12,-12},{12,12}}, rotation = 0)));
  BondLib.Bonds.Bond bond10 annotation(Placement(visible = true, transformation(origin = {-69.729,37.0578}, extent = {{-10,-1},{10,1}}, rotation = 90)));
  BondLib.Passive.I i2 annotation(Placement(visible = true, transformation(origin = {-69.729,59.6841}, extent = {{-12,-12},{12,12}}, rotation = 0)));
  BondLib.Bonds.Bond bond11 annotation(Placement(visible = true, transformation(origin = {25.8046,-10.2062}, extent = {{-10,-1},{10,1}}, rotation = -90)));
  BondLib.Passive.R r3 annotation(Placement(visible = true, transformation(origin = {27.313,-34.8438}, extent = {{-12,-12},{12,12}}, rotation = 0)));
  BondLib.Bonds.Bond bond12 annotation(Placement(visible = true, transformation(origin = {25.8046,38.5662}, extent = {{-10,-1},{10,1}}, rotation = 90)));
  BondLib.Passive.I i3 annotation(Placement(visible = true, transformation(origin = {25.8046,62.701}, extent = {{-12,-12},{12,12}}, rotation = 0)));
  BondLib.Bonds.Bond bond13 annotation(Placement(visible = true, transformation(origin = {73.0685,37.0578}, extent = {{-10,-1},{10,1}}, rotation = 90)));
  BondLib.Passive.C c2 annotation(Placement(visible = true, transformation(origin = {73.57129999999999,59.6841}, extent = {{-12,-12},{12,12}}, rotation = 0)));
  BondLib.Bonds.Bond45 bond452 annotation(Placement(visible = true, transformation(origin = {-96.881,-60.487}, extent = {{-12,-12},{12,12}}, rotation = -90)));
equation
  connect(c2.BondCon1,bond13.BondCon2);
  connect(j02.BondCon2,bond13.BondCon1);
  connect(i3.BondCon1,bond12.BondCon2);
  connect(j12.BondCon2,bond12.BondCon1);
  connect(r3.BondCon1,bond11.BondCon2);
  connect(j12.BondCon4,bond11.BondCon1);
  connect(i2.BondCon1,bond10.BondCon2);
  connect(j11.BondCon2,bond10.BondCon1);
  connect(r2.BondCon1,bond9.BondCon2);
  connect(j11.BondCon4,bond9.BondCon1);
  connect(c1.BondCon1,bond452.BondCon2);
  connect(bond451.BondCon2,r1.BondCon1);
  connect(j13.BondCon3,bond452.BondCon1);
  connect(bond451.BondCon1,j13.BondCon1);
  connect(j13.BondCon2,bond8.BondCon2);
  connect(j01.BondCon4,bond8.BondCon1);
  connect(i1.BondCon1,bond7.BondCon2);
  connect(tf1.BondCon2,bond7.BondCon1);
  connect(tf1.BondCon1,bond6.BondCon2);
  connect(j02.BondCon3,bond6.BondCon1);
  connect(j02.BondCon1,bond5.BondCon2);
  connect(j12.BondCon3,bond5.BondCon1);
  connect(j12.BondCon1,bond4.BondCon2);
  connect(gy1.BondCon2,bond4.BondCon1);
  connect(gy1.BondCon1,bond3.BondCon2);
  connect(j11.BondCon3,bond3.BondCon1);
  connect(j11.BondCon1,bond2.BondCon2);
  connect(j01.BondCon3,bond2.BondCon1);
  connect(j01.BondCon1,bond1.BondCon2);
  connect(sf1.BondCon1,bond1.BondCon1);
  annotation(experiment(StartTime = 0.0, StopTime = 10, Tolerance = 1e-06));
end BondEMotor;

